Bug 72644 - "Network Error -12: host not found" occurs every first usage (dialup)
Summary: "Network Error -12: host not found" occurs every first usage (dialup)
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rhn-applet   
(Show other bugs)
Version: 4.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Bret McMillan
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-26 10:33 UTC by Todd Warner
Modified: 2007-11-30 22:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-16 04:50:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dialog box example (4.14 KB, image/png)
2002-08-26 10:34 UTC, Todd Warner
no flags Details

Description Todd Warner 2002-08-26 10:33:29 UTC
Description of Problem:
NOTE: dialup environment

No matter how long computer has been connected, the first time the applet is
clicked, I get a "Network Error -12: host not found" dialog. I then click
OK to acknowledge and the ? mark goes away immediately.... subsequent click
works as expected.

Version-Release number of selected component (if applicable):
rhn-applet-1.0.6-11


How Reproducible:
Every initial usage.


Steps to Reproduce:
1. Dialup
2. Start/click applet (either immediately after 1 or wait)


Actual Results:
"Network Error -12: host not found" dialog box.
See attached png


Expected Results:
rhn-applet logs in... or does what it does (maybe says... busy?)

Comment 1 Todd Warner 2002-08-26 10:34:43 UTC
Created attachment 72964 [details]
Dialog box example

Comment 2 Todd Warner 2003-03-21 21:33:05 UTC
Bug opened 2002-08-26.
Why is this still in a NEW state?

Comment 3 Daniel Veillard 2003-03-21 22:01:26 UTC
It's in a new state because it didn't got noticed in the change of
maintainership for that module ...
I can't reproduce this with 2.0.8, I have no dialup line available and
when using a network card with DHCP cliking in the interval where
the card is inserted but haven't yet received the IP address
the behaviour is the same as usual, i.e. the "available package"
window opens... Can you reproduce the problem with 2.0.8 ?

Daniel

Comment 4 Todd Warner 2003-07-18 01:28:53 UTC
I no longer have dialup.

The behavior was simply that the applet would not check every so often that it
got the connection back.



Comment 5 Todd Warner 2004-07-01 06:24:26 UTC
I suspect this is bret's bug now. Reassigning.

Comment 6 Todd Warner 2004-09-16 04:50:44 UTC
CLOSING due to inactivity. Someone will gripe if need be.


Note You need to log in before you can comment on or make changes to this bug.